### Constructor

# FwupdPlugin UsbHidDescriptor new

since: 2.0.2

#### Declaration [src]

    FuUsbHidDescriptor*
    fu_usb_hid_descriptor_new (
      void
    )

#### Description

No description available.

Available since: 2.0.2

#### Return value

Type: `FuUsbHidDescriptor`

A new `FuUsbHidDescriptor` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.